## firefox 97.0.2+build1-0ubuntu0.18.04.1+9.0trisquel85

=== debian/changelog ===
firefox (97.0.2+build1-0ubuntu0.18.04.1+9.0trisquel85) etiona; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 06 Mar 2022 00:37:02 +0000

firefox (97.0.2+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (97.0.2+build1)

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 05 Mar 2022 11:37:36 +0000

firefox (97.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (97.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 16 Feb 2022 22:37:39 +0100

firefox (97.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (97.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 03 Feb 2022 08:07:27 +0100

firefox (97.0+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (97.0+build1)

  [ Olivier Tilloy ]
  * Drop upstream patches
    - debian/patches/webrtc-armhf/upstream-3607c4937e84.diff
    - debian/patches/webrtc-armhf/upstream-D117104.diff
    - debian/patches/webrtc-armhf/upstream-D133409.diff
    - debian/patches/webrtc-armhf/upstream-D134435.diff

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.57.0 and cargo >= 0.58
    - debian/control{,.in}
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/ppc64el-clang10-no-fast-math.patch
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/unity-menubar.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 31 Jan 2022 22:55:14 +0100

firefox (96.0.3+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (96.0.3+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 Jan 2022 23:11:53 +0100

firefox (96.0.2+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (96.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 20 Jan 2022 08:17:17 +0100

firefox (96.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (96.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 14 Jan 2022 15:09:51 +0100

firefox (96.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (96.0+build2)

  [ Olivier Tilloy ]
  * Cherry-pick a series of upstream patches to fix building WebRTC on armhf
    (https://bugzilla.mozilla.org/1738845):
    - debian/patches/webrtc-armhf/upstream-3607c4937e84.diff
    - debian/patches/webrtc-armhf/upstream-D117104.diff
    - debian/patches/webrtc-armhf/upstream-D133409.diff
    - debian/patches/webrtc-armhf/upstream-D134435.diff
    - debian/patches/webrtc-armhf/upstream-D134738.diff
  * Remove an obsolete patch:
    - debian/patches/fix-armhf-webrtc-build.patch
  * Update test expectation for webp support in canvas
    - debian/tests/html5test

  [ Rico Tzschichholz ]
  * Pin the version of the vendored hermit-abi for compatibility with
    rustc < 1.56
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/armhf-rustc-thin-lto.patch
    - debian/patches/webrtc-fix-compiler-flags-for-armhf.patch
    - debian/patches/unity-menubar.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 09 Jan 2022 19:21:48 +0100

firefox (95.0.1+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (95.0.1+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 16 Dec 2021 22:46:17 +0100

firefox (95.0+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (95.0+build1)

  [ Rico Tzschichholz ]
  * Bump build-dep on cargo >= 0.54
    - debian/control{,.in}
    - debian/patches/relax-cargo-dep.patch
  * Update patches
    - debian/patches/armhf-rustc-thin-lto.patch
    - debian/patches/unity-menubar.patch
  * Pass --without-wasm-sandboxed-libraries
    - debian/config/mozconfig.in
  * Install more sizes of the firefox application icon
    - debian/build/rules.mk
  * Bump dump_sys to bf7f6bd855eb6ecb233b52bfa7b2c975b7026540 (LP: #1945770)
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Dec 2021 10:14:46 +0100

firefox (94.0.2+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (94.0.2+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 20 Nov 2021 12:44:04 +0100

firefox (94.0.2+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (94.0.2+build1)

  [ Dariusz Gadomski ]
  * Prevent crash on launch under AppArmor (LP: #1931602)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 18 Nov 2021 09:50:19 +0100

firefox (94.0+build3-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (94.0+build3)

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.53.0
    - debian/control{,.in}
  * Make cargo 0.52 aka 1.51.0 sufficient
    - debian/patches/relax-cargo-dep.patch
  * Update patch
    - debian/patches/unity-menubar.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 30 Oct 2021 19:28:03 +0200

firefox (93.0+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (93.0+build1)

  [ Olivier Tilloy ]
  * Update test expectation (https://bugzilla.mozilla.org/1283388)
    - debian/tests/html5test

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
  * Avoid redefinition of double_t for i386 build
    - debian/patches/fix-i386-fdlibm.patch
  * Use clang 13 if available
    - debian/control{,.in}
    - debian/build/rules.mk
  * Explicitly set MOZBUILD_STATE_PATH
    - debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 30 Sep 2021 23:22:11 +0200

firefox (92.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (92.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 22 Sep 2021 22:35:46 +0200


