## firefox 98.0~mozillabinaries

=== debian/changelog ===
firefox (98.0~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 09 Mar 2022 14:16:34 -0800
