## firefox 98.0.1~mozillabinaries

=== debian/changelog ===
firefox (98.0.1~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Mar 2022 16:30:44 -0700
