## firefox 98.0.2~mozillabinaries

=== debian/changelog ===
firefox (98.0.2~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 22 Mar 2022 15:03:46 -0700
