## firefox 99.0~mozillabinaries

=== debian/changelog ===
firefox (99.0~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 04 Apr 2022 17:19:47 -0700
