## firefox 100.0~mozillabinaries

=== debian/changelog ===
firefox (100.0~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 03 May 2022 13:52:05 -0700
