## firefox 100.0.1~mozillabinaries

=== debian/changelog ===
firefox (100.0.1~mozillabinaries-1mx21+2) mx; urgency=medium

  * Added intl.locale.requested="" to distribution.ini

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 17 May 2022 17:06:34 -0700

firefox (100.0.1~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 15 May 2022 07:35:11 -0700
