## firefox 100.0.2~mozillabinaries

=== debian/changelog ===
firefox (100.0.2~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 20 May 2022 07:20:57 -0700
