## firefox 101.0~mozillabinaries

=== debian/changelog ===
firefox (101.0~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 31 May 2022 15:24:55 -0700
