## firefox 101.0.1~mozillabinaries

=== debian/changelog ===
firefox (101.0.1~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 10 Jun 2022 13:01:58 -0700
