## firefox 102.0~mozillabinaries

=== debian/changelog ===
firefox (102.0~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 27 Jun 2022 17:12:23 -0700
