## firefox 102.0+build2

=== debian/changelog ===
firefox (102.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (102.0+build2)

  [ Olivier Tilloy ]
  * Fix FTBFS with newer versions of cbindgen
    - debian/patches/fix-ftbfs-newer-cbindgen.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.24.3
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/rust-drop-dll-checksums.patch
  * Cherry-pick two sets of upstream patches to fix FTBFS on armhf
    - debian/patches/webrtc-armhf/D134738.diff
    - debian/patches/webrtc-armhf/D149203.diff
    - debian/patches/webrtc-armhf/D149204.diff
    - debian/patches/webrtc-armhf/D149205.diff
    - debian/patches/webrtc-armhf/D149206.diff
    - debian/patches/webrtc-armhf/D149207.diff
    - debian/patches/webrtc-armhf/D149208.diff
    - debian/patches/webrtc-armhf/D149209.diff
    - debian/patches/webrtc-armhf/D149210.diff
    - debian/patches/webrtc-armhf/D149471.diff
    - debian/patches/webrtc-armhf/D149474.diff
    - debian/patches/webrtc-armhf/D149814.diff
    - debian/patches/webrtc-armhf/D149850.diff
  * Removed a patch that no longer applies
    - debian/patches/webrtc-armhf/upstream-D134738.diff

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 27 Jun 2022 15:38:15 +0200

firefox (101.0.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (101.0.1+build1)

  [ Olivier Tilloy ]
  * Update patches
    - debian/patches/webrtc-armhf/upstream-D134738.diff

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.59.0 and cargo >= 0.60
    - debian/control{,.in}
  * Update cbindgen to 0.23.0
    - debian/build/create-tarball.py
  * Bump dump_sys to c558ad1824b247e147dcc45ec105588883e379fb
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 Jun 2022 23:30:14 +0200

firefox (100.0.2+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (100.0.2+build1)

  [ Dariusz Gadomski ]
  * Enable launching external file browser with AppArmor enabled (LP: #1931603)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 20 May 2022 08:15:03 +0200

firefox (100.0.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (100.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 15 May 2022 20:01:38 +0200

firefox (100.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (100.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 29 Apr 2022 13:30:01 +0200

firefox (100.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (100.0+build1)

  [ Olivier Tilloy ]
  * Drop upstreamed patches
    - debian/patches/upstream-a107df8ae87c.patch
    - debian/patches/upstream-c7ca5d4c890a.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.21.0
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Apr 2022 12:45:34 +0200

firefox (99.0.1+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (99.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 13 Apr 2022 16:22:09 +0200

firefox (99.0+build2-0ubuntu0.21.10.2) impish; urgency=medium

  * Cherry-pick a couple of upstream commits to fix FTBFS on ppc64el and s390x
    (https://bugzilla.mozilla.org/1758610)
    - debian/patches/upstream-a107df8ae87c.patch
    - debian/patches/upstream-c7ca5d4c890a.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 01 Apr 2022 16:16:29 +0200

firefox (99.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (99.0+build2)

  * Drop a workaround patch because the bug it was addressing was fixed upstream
    - debian/patches/revert-crossbeam-crates-upgrade.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Mar 2022 08:01:30 +0200

firefox (98.0.2+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (98.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 23 Mar 2022 10:03:16 +0100

firefox (98.0.1+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (98.0.1+build2)

  * Revert the upgrade of crossbeam-* crates that happened in Firefox 98.0,
    which resulted in a regression on arm64 where the browser wouldn't start
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1757571)
    - debian/patches/revert-crossbeam-crates-upgrade.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 13 Mar 2022 23:08:39 +0100

firefox (98.0+build3-0ubuntu0.21.10.2) impish; urgency=medium

  * No-change rebuild

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 10 Mar 2022 15:08:50 +0100

firefox (98.0+build3-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (98.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 05 Mar 2022 10:09:00 +0100

firefox (98.0+build2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (98.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 02 Mar 2022 22:52:53 +0100

firefox (98.0+build1-0ubuntu0.21.10.2) impish; urgency=medium

  * Update test expectation for support of the <dialog> element
    (https://bugzilla.mozilla.org/1733536)
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 01 Mar 2022 11:06:33 +0100

firefox (98.0+build1-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (98.0+build1)

  [ Olivier Tilloy ]
  * Update debian/patches/ubuntu-bookmarks.patch

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
  * Drop upstreamed patches
    - debian/patches/set-prgname-to-remoting-name.patch
  * Reduce the LTO level (to "thin") on arm64 to work around OOM failures on
    Launchpad builders
    - debian/build/rules.mk
    - debian/patches/armhf-rustc-thin-lto.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 28 Feb 2022 22:38:35 +0100


