## firefox 102.0.1~mozillabinaries

=== debian/changelog ===
firefox (102.0.1~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 07 Jul 2022 13:19:54 -0700
