## firefox 103.0~mozillabinaries

=== debian/changelog ===
firefox (103.0~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 25 Jul 2022 18:00:13 -0700
