## firefox 103.0.1+build1-0ubuntu0.22.04.1~mt1+11.0trisquel92

=== debian/changelog ===
firefox (103.0.1+build1-0ubuntu0.22.04.1~mt1+11.0trisquel92) aramo; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 01 Aug 2022 17:37:38 +0000

firefox (103.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (103.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 01 Aug 2022 18:11:15 +0200

firefox (103.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (103.0+build1)

  * Drop upstreamed patches
    - debian/patches/fix-ftbfs-newer-cbindgen.patch
    - debian/patches/webrtc-armhf/D134738.diff
    - debian/patches/webrtc-armhf/D149203.diff
    - debian/patches/webrtc-armhf/D149204.diff
    - debian/patches/webrtc-armhf/D149205.diff
    - debian/patches/webrtc-armhf/D149206.diff
    - debian/patches/webrtc-armhf/D149207.diff
    - debian/patches/webrtc-armhf/D149208.diff
    - debian/patches/webrtc-armhf/D149209.diff
    - debian/patches/webrtc-armhf/D149210.diff
    - debian/patches/webrtc-armhf/D149471.diff
    - debian/patches/webrtc-armhf/D149474.diff
    - debian/patches/webrtc-armhf/D149814.diff
    - debian/patches/webrtc-armhf/D149850.diff

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 19 Jul 2022 15:35:02 +0200

firefox (102.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (102.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 05 Jul 2022 22:29:57 +0200

firefox (102.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (102.0+build2)
  * Update cbindgen to 0.24.3
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/rust-drop-dll-checksums.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Jun 2022 10:01:46 +0200

firefox (101.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (101.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 09 Jun 2022 06:56:37 +0200

firefox (101.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (101.0+build2)

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.59.0 and cargo >= 0.60
    - debian/control{,.in}
  * Update cbindgen to 0.23.0
    - debian/build/create-tarball.py
  * Bump dump_sys to c558ad1824b247e147dcc45ec105588883e379fb
    - debian/build/create-tarball.py

  [ Olivier Tilloy ]
  * Update patches
    - debian/patches/webrtc-armhf/upstream-D134738.diff

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 27 May 2022 09:31:21 +0200

firefox (100.0.2+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (100.0.2+build1)

  [ Dariusz Gadomski ]
  * Enable launching external file browser with AppArmor enabled (LP: #1931603)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 20 May 2022 08:37:57 +0200

firefox (100.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (100.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 16 May 2022 06:52:48 +0200

firefox (100.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (100.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 29 Apr 2022 14:03:33 +0200

firefox (100.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (100.0+build1)

  [ Olivier Tilloy ]
  * Drop upstreamed patches
    - debian/patches/upstream-a107df8ae87c.patch
    - debian/patches/upstream-c7ca5d4c890a.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.21.0
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 26 Apr 2022 09:38:09 +0200

firefox (99.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (99.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 13 Apr 2022 21:26:58 +0200

firefox (99.0+build2-0ubuntu0.22.04.1~mt2) jammy; urgency=medium

  * New upstream release (99.0+build2)
  * Cherry-pick a couple of upstream commits to fix FTBFS on ppc64el and s390x
    (https://bugzilla.mozilla.org/1758610)
    - debian/patches/upstream-a107df8ae87c.patch
    - debian/patches/upstream-c7ca5d4c890a.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 01 Apr 2022 17:48:50 +0200

firefox (98.0.2+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (98.0.2+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 23 Mar 2022 10:03:16 +0100

firefox (98.0.1+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (98.0.1+build2)

  [ Olivier Tilloy ]
  * Revert the upgrade of crossbeam-* crates that happened in Firefox 98.0,
    which resulted in a regression on arm64 where the browser wouldn't start
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1757571)
    - debian/patches/revert-crossbeam-crates-upgrade.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 14 Mar 2022 08:01:25 +0100

firefox (98.0+build3-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (98.0+build3)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 05 Mar 2022 14:04:27 +0100

firefox (98.0+build2-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (98.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 03 Mar 2022 08:58:04 +0100

firefox (98.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (98.0+build1)

  [ Olivier Tilloy ]
  * Update debian/patches/ubuntu-bookmarks.patch

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
  * Drop upstreamed patches
    - debian/patches/set-prgname-to-remoting-name.patch
  * Reduce the LTO level (to "thin") on arm64 to work around OOM failures on
    Launchpad builders
    - debian/build/rules.mk
    - debian/patches/armhf-rustc-thin-lto.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Mar 2022 08:14:13 +0100
