## firefox 103.0.2~mozillabinaries

=== debian/changelog ===
firefox (103.0.2~mozillabinaries-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 11 Aug 2022 11:42:08 -0700
